org.eclipse.emf.cdo.server.spi.security

## Class SecurityManagerFactory.Annotation

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory
    - - org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory.Annotation

- All Implemented Interfaces:
    IFactory
  Enclosing class:
    SecurityManagerFactory

  Deprecated.
  As of 4.3 use `SecurityManagerFactory.Default` with a description like "realmPath:annotation".

      @Deprecated
      public static class SecurityManagerFactory.Annotation
      extends SecurityManagerFactory

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

      `SecurityManagerFactory.Annotation, SecurityManagerFactory.Default`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Annotation()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISecurityManager` | `create(java.lang.String realmPath)` Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Annotation

          public Annotation()

      Deprecated.

  - ### Method Detail

    - #### create

          public ISecurityManager create(java.lang.String realmPath)
                                  throws ProductCreationException

      Deprecated.
      Specified by:
        `create` in interface `IFactory`
      Specified by:
        `create` in class `SecurityManagerFactory`
      Throws:
        `ProductCreationException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html